#ifndef LOCATION_H
#define LOCATION_H

#include "Enemy.h"

#include <string>
#include <vector>

class Location
{
public:
	Location();
	Location(std::string setName,
	         std::vector<std::string> setDescriptions);

	const std::string& getName() const;
	const std::string& getDescription() const; // random
	// const std::string& getEnemy() const;

private:
	std::string name;
	std::vector<std::string> descriptions;
	// Enemy enemy;
	//bool currentLocation;
};

#endif
